Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:55 2009

## Asterisk developer's documentation

# vpb_pvt Struct Reference

Collaboration diagram for vpb_pvt:

[legend]

## Data Fields

vpb_bridge_t * | bridge
char | buf [VPB_MAX_BUF]
void * | busy_timer
int | busy_timer_id
char | callerid [AST_MAX_EXTENSION]
int | callerid_type
ast_group_t | callgroup
int | chuck_count
char | cid_name [AST_MAX_EXTENSION]
char | cid_num [AST_MAX_EXTENSION]
char | context [AST_MAX_EXTENSION]
char | dev [256]
int | dialtone
int | dtmf_caller_pos
void * | dtmfidd_timer
int | dtmfidd_timer_id
char | ext [AST_MAX_EXTENSION]
int | faxhandled
struct ast_frame f | fr
int | golock
int | group
int | handle
char | language [MAX_LANGUAGE]
int | last_ignore_dtmf
struct timeval | lastgrunt
int | lastinput
int | lastoutput
struct timeval | lastplay
ast_mutex_t | lock
int | mode
struct vpb_pvt * | next
struct ast_channel * | owner
ast_mutex_t | owner_lock
ast_group_t | pickupgroup
int | play_buf_time
char | play_dtmf [16]
ast_mutex_t | play_dtmf_lock
ast_mutex_t | play_lock
int | read_state
pthread_t | readthread
ast_mutex_t | record_lock
void * | ring_timer
int | ring_timer_id
void * | ringback_timer
int | ringback_timer_id
float | rxgain
float | rxswgain
int | state
int | stopreads
float | txgain
float | txswgain
struct ast_dsp * | vad
vpb_model_t | vpb_model
int | wantdtmf

## Detailed Description

Definition at line 256 of file chan_vpb.c.

## Field Documentation

vpb_bridge_t* bridge

Definition at line 316 of file chan_vpb.c.

Referenced by do_chanreads(), monitor_handle_owned(), vpb_bridge(), and vpb_new().

char buf[VPB_MAX_BUF]

Definition at line 277 of file chan_vpb.c.

Referenced by do_chanreads(), get_callerid(), mkif(), and vpb_bridge().

void* busy_timer

Definition at line 299 of file chan_vpb.c.

Referenced by mkif(), monitor_handle_notowned(), monitor_handle_owned(), and vpb_indicate().

int busy_timer_id

Definition at line 300 of file chan_vpb.c.

Referenced by mkif(), and monitor_handle_owned().

char callerid[AST_MAX_EXTENSION]

Definition at line 288 of file chan_vpb.c.

Referenced by get_callerid(), get_callerid_ast(), load_module(), mkif(), monitor_handle_notowned(), and vpb_new().

int callerid_type

Definition at line 289 of file chan_vpb.c.

Referenced by get_callerid_ast(), mkif(), and monitor_handle_notowned().

ast_group_t callgroup

Definition at line 269 of file chan_vpb.c.

Referenced by load_module(), mkif(), and vpb_new().

int chuck_count

Definition at line 320 of file chan_vpb.c.

Referenced by vpb_write().

char cid_name[AST_MAX_EXTENSION]

Definition at line 291 of file chan_vpb.c.

Referenced by get_callerid(), and monitor_handle_notowned().

char cid_num[AST_MAX_EXTENSION]

Definition at line 290 of file chan_vpb.c.

Referenced by get_callerid(), and monitor_handle_notowned().

char context[AST_MAX_EXTENSION]

Definition at line 284 of file chan_vpb.c.

Referenced by mkif(), monitor_handle_notowned(), and vpb_request().

char dev[256]

Definition at line 273 of file chan_vpb.c.

Referenced by do_chanreads(), do_monitor(), get_callerid(), get_callerid_ast(), mkif(), monitor_handle_notowned(), monitor_handle_owned(), vpb_answer(), vpb_bridge(), vpb_call(), vpb_digit(), vpb_fixup(), vpb_indicate(), vpb_new(), vpb_request(), and vpb_write().

int dialtone

Definition at line 279 of file chan_vpb.c.

Referenced by vpb_hangup().

int dtmf_caller_pos

Definition at line 293 of file chan_vpb.c.

Referenced by mkif(), and monitor_handle_notowned().

void* dtmfidd_timer

Definition at line 308 of file chan_vpb.c.

Referenced by mkif(), and monitor_handle_notowned().

int dtmfidd_timer_id

Definition at line 309 of file chan_vpb.c.

Referenced by mkif(), and monitor_handle_notowned().

char ext[AST_MAX_EXTENSION]

Definition at line 286 of file chan_vpb.c.

Referenced by monitor_handle_notowned(), vpb_hangup(), and vpb_new().

int faxhandled

Definition at line 331 of file chan_vpb.c.

Referenced by monitor_handle_owned(), and vpb_new().

struct ast_frame f fr`[read]`

Definition at line 276 of file chan_vpb.c.

Referenced by do_chanreads().

int golock

Definition at line 261 of file chan_vpb.c.

Referenced by do_monitor(), and mkif().

int group

Definition at line 268 of file chan_vpb.c.

Referenced by mkif(), and vpb_request().

int handle

Definition at line 264 of file chan_vpb.c.

Referenced by do_chanreads(), do_monitor(), get_callerid(), get_callerid_ast(), mkif(), monitor_handle_notowned(), monitor_handle_owned(), unload_module(), vpb_answer(), vpb_bridge(), vpb_call(), vpb_hangup(), vpb_indicate(), and vpb_write().

char language[MAX_LANGUAGE]

Definition at line 287 of file chan_vpb.c.

Referenced by mkif(), and vpb_new().

int last_ignore_dtmf

Definition at line 297 of file chan_vpb.c.

Referenced by do_chanreads(), vpb_hangup(), and vpb_new().

struct timeval lastgrunt`[read]`

Definition at line 313 of file chan_vpb.c.

Referenced by monitor_handle_owned(), and vpb_new().

int lastinput

Definition at line 296 of file chan_vpb.c.

Referenced by do_chanreads(), vpb_hangup(), and vpb_new().

int lastoutput

Definition at line 295 of file chan_vpb.c.

Referenced by vpb_hangup(), vpb_new(), and vpb_write().

struct timeval lastplay`[read]`

Definition at line 326 of file chan_vpb.c.

Referenced by vpb_new(), and vpb_write().

ast_mutex_t lock

Definition at line 315 of file chan_vpb.c.

Referenced by mkif(), monitor_handle_owned(), unload_module(), vpb_answer(), vpb_bridge(), vpb_call(), vpb_digit(), vpb_fixup(), vpb_hangup(), and vpb_indicate().

int mode

Definition at line 263 of file chan_vpb.c.

Referenced by load_module(), mkif(), monitor_handle_notowned(), monitor_handle_owned(), vpb_answer(), vpb_call(), vpb_hangup(), and vpb_new().

struct vpb_pvt* next`[read]`

Definition at line 333 of file chan_vpb.c.

Referenced by do_monitor(), load_module(), unload_module(), and vpb_request().

struct ast_channel* owner`[read]`

Definition at line 259 of file chan_vpb.c.

Referenced by do_chanreads(), do_monitor(), get_callerid(), get_callerid_ast(), monitor_handle_notowned(), monitor_handle_owned(), unload_module(), vpb_fixup(), vpb_hangup(), vpb_new(), and vpb_request().

ast_mutex_t owner_lock

Definition at line 258 of file chan_vpb.c.

Referenced by mkif(), and unload_module().

ast_group_t pickupgroup

Definition at line 270 of file chan_vpb.c.

Referenced by load_module(), mkif(), and vpb_new().

int play_buf_time

Definition at line 325 of file chan_vpb.c.

Referenced by vpb_write().

char play_dtmf[16]

Definition at line 329 of file chan_vpb.c.

Referenced by do_chanreads(), vpb_digit(), and vpb_new().

ast_mutex_t play_dtmf_lock

Definition at line 328 of file chan_vpb.c.

Referenced by do_chanreads(), mkif(), unload_module(), and vpb_digit().

ast_mutex_t play_lock

Definition at line 324 of file chan_vpb.c.

Referenced by mkif(), unload_module(), vpb_hangup(), and vpb_write().

int read_state

Definition at line 319 of file chan_vpb.c.

Referenced by do_chanreads(), mkif(), and vpb_write().

pthread_t readthread

Definition at line 321 of file chan_vpb.c.

Referenced by unload_module(), vpb_answer(), vpb_call(), vpb_hangup(), and vpb_new().

ast_mutex_t record_lock

Definition at line 323 of file chan_vpb.c.

Referenced by do_chanreads(), get_callerid(), mkif(), and unload_module().

void* ring_timer

Definition at line 305 of file chan_vpb.c.

Referenced by mkif(), monitor_handle_notowned(), and monitor_handle_owned().

int ring_timer_id

Definition at line 306 of file chan_vpb.c.

Referenced by mkif(), monitor_handle_notowned(), and monitor_handle_owned().

void* ringback_timer

Definition at line 302 of file chan_vpb.c.

Referenced by mkif(), monitor_handle_owned(), and vpb_indicate().

int ringback_timer_id

Definition at line 303 of file chan_vpb.c.

Referenced by mkif(), monitor_handle_owned(), and vpb_indicate().

float rxgain

Definition at line 280 of file chan_vpb.c.

Referenced by load_module(), and mkif().

float rxswgain

Definition at line 281 of file chan_vpb.c.

Referenced by do_chanreads(), load_module(), and mkif().

int state

Definition at line 266 of file chan_vpb.c.

Referenced by monitor_handle_notowned(), monitor_handle_owned(), vpb_answer(), vpb_call(), vpb_hangup(), and vpb_indicate().

int stopreads

Definition at line 318 of file chan_vpb.c.

Referenced by do_chanreads(), and vpb_hangup().

float txgain

Definition at line 280 of file chan_vpb.c.

Referenced by load_module(), and mkif().

float txswgain

Definition at line 281 of file chan_vpb.c.

Referenced by load_module(), mkif(), and vpb_write().

struct ast_dsp* vad`[read]`

Definition at line 311 of file chan_vpb.c.

Referenced by do_chanreads(), mkif(), and vpb_hangup().

vpb_model_t vpb_model

Definition at line 274 of file chan_vpb.c.

Referenced by load_module(), mkif(), and vpb_bridge().

int wantdtmf

Definition at line 283 of file chan_vpb.c.

Referenced by monitor_handle_notowned().

The documentation for this struct was generated from the following file:

- chan_vpb.c